Can you downgrade a game (specifically Taiko)?

Discussion in 'Switch - Backup Loaders & Modchips' started by deufeufeu, Oct 22, 2018.

  1. deufeufeu
    OP

    deufeufeu GBAtemp Advanced Fan

    Member
    3
    Nov 21, 2005
    Hi, I just installed an update to Taiko labelled 1.0.4, and it seems it was not a legit update but instead one handcrafted by a release group.
    I can't seem to know why, but it messes with custom songlist ( https://gbatemp.net/threads/taiko-song-inserter.516889/ ) and also the game keeps saying it needs to download more content but then if I choose to ignore the message, it works fine.
    So all of this seems like a trainwreck for me. Can I delete some tickets to reverse the update ?
     
  2. jaycee79

    jaycee79 Newbie

    Newcomer
    1
    Oct 23, 2018
    France
    Hello,

    Best bet would be to go to the switch data management, and delete game, then reinstall if nsp, and install regular update if needed.
    I tried that way with FW6.0 updates for Mario Kart that blocked the ability to play.
     
  3. wurstpistole

    wurstpistole GBAtemp Psycho!

    Member
    11
    Nov 19, 2015
    Gambia, The
    Devmenu should also be able to uninstall updates.
     
  4. cearp

    cearp 瓜老外

    Member
    16
    May 26, 2008
    Tuvalu
    yes you can uninstall the update, but i think the save/game/switch itself? will remember that there was a newer version which isn't being used now, and there is something else you need to do in devmenu to let you use the old version.
    it's possible, but it's not as simple as just deleting the update - i think :)
     
  5. wurstpistole

    wurstpistole GBAtemp Psycho!

    Member
    11
    Nov 19, 2015
    Gambia, The
    That I can't help you with - didn't use devmenu, never had the need to
     
  6. cearp

    cearp 瓜老外

    Member
    16
    May 26, 2008
    Tuvalu
    ah ok, so if you yourself did this thing without devmenu, that's cool too! i might have been wrong.
     
  7. deufeufeu
    OP

    deufeufeu GBAtemp Advanced Fan

    Member
    3
    Nov 21, 2005
    I'm not proud but I found a way: just use LayeredFS to load the executable from the previous update...
     
    cearp likes this.
  8. ct5743

    ct5743 Newbie

    Newcomer
    2
    Sep 29, 2016
    Hong Kong
    may you teach me how to do that
     
  9. hippy dave

    hippy dave BBMB

    Member
    13
    Apr 30, 2012
    United Kingdom
    Devmenu has a "reset required version" function when you're viewing a game's details. Doesn't help for now if you're on 6.x until someone finally releases a working 6.x devmenu.
     
    cearp likes this.
  10. cearp

    cearp 瓜老外

    Member
    16
    May 26, 2008
    Tuvalu
    the 'old' devmenu doesn't work on 6.x? i haven't updated yet.
     
  11. hippy dave

    hippy dave BBMB

    Member
    13
    Apr 30, 2012
    United Kingdom
    I'm still on 5.1, but I've been reliably informed that the 5.x devmenu won't run on 6.x.
     
    cearp likes this.
  12. FabioCapela

    FabioCapela Advanced Member

    Newcomer
    4
    Jul 12, 2007
    Brazil
    The main reason I don't update is the lack of a devmenu that works for 6.x (apart from the leaked one that only works on the honeypot version which you should only use if you crave for a ban); if I could either find a version that worked for newer FWs, or else some homebrew program that allowed me to uninstall specific NSPs and reset the required game version, I would update right away.
     
  13. fragged

    fragged GBAtemp Regular

    Member
    3
    Jun 19, 2018
    United States
    devmenu.
     
Loading...